linux-mips
[Top] [All Lists]

Re: DECstation compile fails: opcode not supported (eret)

To: linux-mips@linux-mips.org
Subject: Re: DECstation compile fails: opcode not supported (eret)
From: Kumba <kumba@gentoo.org>
Date: Sat, 21 Jan 2006 21:58:33 -0500
In-reply-to: <20060121195956.GA15498@deprecation.cyrius.com>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <20060121195956.GA15498@deprecation.cyrius.com>
Sender: linux-mips-bounce@linux-mips.org
User-agent: Thunderbird 1.5 (Windows/20051201)
Martin Michlmayr wrote:
linux-mips git with the standard DECstation config from
arch/mips/configs/decstation_defconfig fails with the following error:

  AS      arch/mips/kernel/genex.o
arch/mips/kernel/genex.S: Assembler messages:
arch/mips/kernel/genex.S:240: Error: opcode not supported on this processor: 
mips1 (mips1) `eret'
make[1]: *** [arch/mips/kernel/genex.o] Error 1
make: *** [arch/mips/kernel] Error 2

Toolchain used:
gcc version 4.0.3 20051201 (prerelease) (Debian 4.0.2-5)
binutils: 2.16.91 20051117 Debian GNU/Linux

I think this broke it:
http://www.linux-mips.org/git?p=linux.git;a=commitdiff;h=cfbc9cac62f0438cefe171736729e786b45884b8;hp=2dcaaf2decd31ac9a21d616604c0a7c1fa65d5a4


--Kumba

--
Gentoo/MIPS Team Lead
Gentoo Foundation Board of Trustees

"Such is oft the course of deeds that move the wheels of the world: small hands do them because they must, while the eyes of the great are elsewhere." --Elrond

<Prev in Thread] Current Thread [Next in Thread>